/* Funções da tabela Configuracoes/Funcionario */
window.onload = function () {

  var comboboxtipo = document.getElementById("select_vendedor");
 
  select2();
  vendedor();

  $('#gravar_contrato').click(function () {
    swal({
      title: "Deseja salvar?",
      text: "Certifique-se de ter verificado todos os dados antes de efetuar a ação!",
      type: "warning",
      showCancelButton: true,
      confirmButtonColor: "#1E9FF2",
      confirmButtonText: "Sim, pode salvar!",
      cancelButtonText: "Não, cancele!",
      closeOnConfirm: true,
      closeOnCancel: false
    }, function (isConfirm) {
      if (isConfirm) {
        $('#cadcontratos').submit();
        
        
        
      } else {
        swal("Cancelado", "Operação cancelada! Dados não gravados", "error");
      }
    });
  });

};



function vendedor(){
  const tipo = document.querySelector("#select_vendedor").value;
 
    //var usuario = $(this).val();
    $.ajax({
      type: 'POST',
      dataType: 'json',
      url: '/Administrativo/Pessoas/pessoasVendedor',
      async: true,
      data: {
        'id_vendedor': tipo,
        csrf_token: $('#crsf_token').val()
      },
      
            success: function(response) {
              if (tipo!=""){
                //document.querySelector("#tipo_pagamento").value= response[0].FK_ID_IPAGAMENTO;
                document.querySelector("#banco_vendedor").value= response[0].NOME_IPAGAMENTO;
                    document.querySelector("#agencia_vendedor").value= response[0].BANCO_AGENCIA;
                    document.querySelector("#conta_vendedor").value= response[0].BANCO_CONTA;
                    document.querySelector("#cidadeagencia_vendedor").value= response[0].BANCO_CIDADE;
              }else{

                document.querySelector("#agencia_vendedor").value= "";
                    document.querySelector("#conta_vendedor").value= "";
                    document.querySelector("#cidadeagencia_vendedor").value= "";
              }
            }

    
  });
  



}






function select2(){
  $(document).ready(function() {
    $('#select_comprador').select2();
    $('#select_vendedor').select2();
    $('#select_armazem_rt').select2();
    $('#select_armazem_et').select2();
    $('#select_modalidade').select2();
    $('#select_transporte').select2();
  });
}

  


